#####################################
#           Doctrine                #
#####################################

services:

    #####################################
    #           Listener                #
    #####################################

    App\EventListener\DoctrineEventsListener:
        arguments:
            $doctrineCommand: '@App\Command\DoctrineCommand'
            $entityManager: '@doctrine.orm.entity_manager'
            $isDebug: '%kernel.debug%'
            $kernel: '@kernel'
            $interfaceHelper: '@App\Helper\Core\InterfaceHelper'
        tags:
            - { name: doctrine.event_subscriber, connection: default, lazy: true }

    #####################################
    #           Subscriber              #
    #####################################

    App\EventSubscriber\TablePrefix:
        arguments:
            $prefix: '%env(string:DATABASE_PREFIX)%'
        tags:
            - { name: doctrine.event_subscriber, connection: default }